FTBitmapGlyph Class Reference

FTBitmapGlyph is a specialisation of FTGlyph for creating bitmaps. More...

`#include <FTBitmapGlyph.h>`

Inheritance diagram for FTBitmapGlyph:

## Public Member Functions

| FTBitmapGlyph (FT_GlyphSlot glyph)
| Constructor.
virtual | ~FTBitmapGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.
Public Member Functions inherited from FTGlyph
virtual | ~FTGlyph ()
| Destructor.
virtual float | Advance () const
| Return the advance width for this glyph.
virtual const FTBBox & | BBox () const
| Return the bounding box for this glyph.
virtual FT_Error | Error () const
| Queries for errors.

## Additional Inherited Members

Protected Member Functions inherited from FTGlyph
| FTGlyph (FT_GlyphSlot glyph)
| Create a glyph.

## Detailed Description

FTBitmapGlyph is a specialisation of FTGlyph for creating bitmaps.

Definition at line 42 of file FTBitmapGlyph.h.

## Constructor & Destructor Documentation

## FTBitmapGlyph()

FTBitmapGlyph::FTBitmapGlyph | ( | FT_GlyphSlot | glyph | ) |

Constructor.

Parameters

  glyph | The Freetype glyph to be processed

## ~FTBitmapGlyph()

virtual FTBitmapGlyph::~FTBitmapGlyph | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## Render()

virtual const FTPoint & FTBitmapGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode )

virtual

Render this glyph at the current pen position.

Parameters

  pen | The current pen position.
  renderMode | Render mode to display

Returns
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTBitmapGlyph.h